// Arquivo de exemplo: Atributo.cs
// Para compilar utilize: csc Atributo.cs

using System;

[System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Struct)]
public class LivroAttribute : System.Attribute {
	private string titulo;
	public LivroAttribute(string tituloLivro) {
		this.titulo = tituloLivro;
	}

	public string GetTitulo() {
		return titulo;
	}
}

[Livro("ASP.NET com C#")]
public class Exemplo {
	static void Main() {
		Type t = typeof(Exemplo);
		System.Attribute[] attrs = System.Attribute.GetCustomAttributes(t);

		foreach (System.Attribute attr in attrs) {
			if (attr is LivroAttribute) {
				LivroAttribute lvr = (LivroAttribute)attr;
				Console.WriteLine(lvr.GetTitulo());
			}
		}
		Console.Read();
	}
}
